#
# spec file for package ghc-aeson-compat
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name aeson-compat
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        0.3.9
Release:        lp151.1.3
Summary:        Compatibility layer for aeson
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-aeson-devel
BuildRequires:  ghc-attoparsec-devel
BuildRequires:  ghc-attoparsec-iso8601-devel
BuildRequires:  ghc-base-compat-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-exceptions-devel
BuildRequires:  ghc-hashable-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-scientific-devel
BuildRequires:  ghc-tagged-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-time-locale-compat-devel
BuildRequires:  ghc-unordered-containers-devel
BuildRequires:  ghc-vector-devel
%if %{with tests}
BuildRequires:  ghc-QuickCheck-devel
BuildRequires:  ghc-base-orphans-devel
BuildRequires:  ghc-quickcheck-instances-devel
BuildRequires:  ghc-tasty-devel
BuildRequires:  ghc-tasty-hunit-devel
BuildRequires:  ghc-tasty-quickcheck-devel
%endif

%description
Compatibility layer for 'aeson'.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE

%files devel -f %{name}-devel.files
%doc CHANGELOG.md README.md

%changelog
* Thu Oct  4 2018 psimons@suse.com
- Update aeson-compat to version 0.3.9.
  [#] 0.3.9
  - Add `ToJSON/FromJSON Void`
* Wed Jul 18 2018 psimons@suse.com
- Cosmetic: replace tabs with blanks, strip trailing white space,
  and update copyright headers with spec-cleaner.
* Fri Jul 13 2018 psimons@suse.com
- Update aeson-compat to version 0.3.8.
  [#] 0.3.8
  - Re-implement `withNumber`
  - Add `withEmbeddedJSON`
* Mon May 14 2018 psimons@suse.com
- Update aeson-compat to version 0.3.7.1 revision 3.
  - Use `attoparsec-iso8601` time parsers.
  - Don't export `GToJSON` etc. members.
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Wed Apr 19 2017 psimons@suse.com
- Update to version 0.3.6 revision 6 with cabal2obs.
* Mon Jan 16 2017 psimons@suse.com
- Update to version 0.3.6 revision 4 with cabal2obs.
* Wed Jan  4 2017 psimons@suse.com
- Update to version 0.3.6 revision 2 with cabal2obs.
* Mon Sep 26 2016 psimons@suse.com
- Update to version 0.3.6 revision 1 with cabal2obs.
* Thu Sep 15 2016 psimons@suse.com
- Update to version 0.3.6 revision 0 with cabal2obs.
* Wed Aug 17 2016 psimons@suse.com
- Update to version 0.3.5.1 revision 1 with cabal2obs.
* Thu Jul 14 2016 psimons@suse.com
- Remove obsolete remove_nats.patch. We ship ghc-nats now.
* Sun Jul 10 2016 mimi.vx@gmail.com
- update to version 0.3.5.1 revision 0
  * value, value' and Parser are exported from Data.Aeson.Compat
  * Use explicit export list. Now we are sure we don't break interface.
  * Fix (.=) export regression introduced by 0.3.5.0
* Sat Jun  4 2016 mimi.vx@gmail.com
- update to 0.3.4.0
  * Add NominalDiffTime instances
* Wed May 11 2016 mimi.vx@gmail.com
- updte to 0.3.3.0
  * Enable PolyKinds to generalize Proxy, Tagged, and Const instances.
* Tue Mar 29 2016 mimi.vx@gmail.com
- update to 0.3.2.0
* Fri Mar 25 2016 mimi.vx@gmail.com
- allow aeson-0.11.1
* Wed Feb 10 2016 mimi.vx@gmail.com
- update to 0.3.1.0
- add remove_nats.patch
  * aeson-0.11 support
  * Add ToJSON Day and LocalTime instances
  * Add Natural, Ordering and Version instances
* Sun Dec 27 2015 mimi.vx@gmail.com
- initial commit
